#!/bin/sh
rclocal=/etc/init.d/rc.local
rclocalbackup=/etc/init.d/rc.local.bak
profileCfg=/etc/init.d/boot.local
profileCfgbackup=/etc/boot.local.bak

username=`whoami`

judgeUser()
{
	if [ $username != "root" ] ; then
		echo "Please login with root, or use sudo"
		exit 0
	fi
}

editBoot()
{
	if [ -w ${rclocal} ] ; then
		cp ${rclocal} ${rclocalbackup}
		sed -i '/### Touch Configuration Begin ###/,/### Touch Configuration End ###/d' ${rclocal}
		#echo "(I) delete old configuration"
		filelines=`cat ${rclocal} | wc -l`
		#echo "(I) add information"
		sed -i ''${filelines}'a\### Touch Configuration Begin ###\
modprobe hid-multitouch\
echo 3 1ff7 0001 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0002 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0003 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0004 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0005 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0006 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0007 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0008 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0009 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000a 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000b 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000c 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000d 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000e 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000f 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0010 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0011 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0012 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0014 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0015 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0016 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0017 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0018 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001a 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001b 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001c 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001d 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001e 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001f 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 01ff 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
### Touch Configuration End ###' ${rclocal}
		echo "Add boot configuration in ${rclocal}"
	elif [ -w ${profileCfg} ] ; then
		cp ${profileCfg} ${profileCfgbackup}
		sed -i '/### Touch Configuration Begin ###/,/### Touch Configuration End ###/d' ${profileCfg}
		#echo "(I) delete old configuration"
		filelines=`cat ${profileCfg} | wc -l`
		#echo "(I) add information"
		sed -i ''${filelines}'a\### Touch Configuration Begin ###\
modprobe hid-multitouch\
echo 3 1ff7 0001 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0002 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0003 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0004 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0005 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0006 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0007 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0008 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0009 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000a 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000b 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000c 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000d 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000e 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 000f 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0010 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0011 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0012 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0014 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0015 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0016 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0017 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 0018 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001a 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001b 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001c 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001d 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001e 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 001f 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
echo 3 1ff7 01ff 0 > /sys/module/hid_multitouch/drivers/hid\:hid-multitouch/new_id\
### Touch Configuration End ###' ${profileCfg}
		echo "Add boot configuration in ${profileCfg}"
	else
		echo "can not find ${profileCfg}"
	fi
}

restartSystem()
{
	echo "Please restart your computer to complete the installation"
	echo -n "Do you want to restart now?(y or n)"
	read IsRestart
	if [ $IsRestart = "y" ] ; then
		echo "now restart computer!"
		reboot
	else
		echo "exit"
	fi
}

#run command
judgeUser
editBoot
restartSystem
