#!/bin/bash

INSTALL_PATH=/lib/modules/`uname -r`/kernel/drivers/hid
WORKING_DIR=$(pwd)

#judge User
if [[ `id -u` != 0 ]]
then
	echo "Must be run as root or use sudo"
	exit 1
fi

echo "rmmod hid_multitouch"
rmmod hid_multitouch
echo "rmmod usbhid"
rmmod usbhid
echo "rmmod hid"
rmmod hid


#cd $INSTALL_PATH

# backup shipped modules
mv -f $INSTALL_PATH/hid.ko $INSTALL_PATH/hid.ko.orig
mv -f $INSTALL_PATH/hid-multitouch.ko $INSTALL_PATH/hid-multitouch.ko.orig

cp $WORKING_DIR/drivers/hid/hid.ko $INSTALL_PATH/hid.ko
cp $WORKING_DIR/drivers/hid/hid-multitouch.ko $INSTALL_PATH/hid-multitouch.ko

echo "insmod $INSTALL_PATH/hid.ko"
insmod $INSTALL_PATH/hid.ko
echo "insmod $INSTALL_PATH/usbhid/usbhid.ko"
insmod $INSTALL_PATH/usbhid/usbhid.ko
echo "insmod $INSTALL_PATH/hid-multitouch.ko"
insmod $INSTALL_PATH/hid-multitouch.ko

echo "depmod -a"
depmod -a

echo "update-initramfs -u"
update-initramfs -u

